Package org.eclipse.emf.cdo.lm.security

# Interface ModuleFilter

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `LMFilter`, `Notifier`, `PermissionFilter`

All Known Implementing Classes:
  `ModuleFilterImpl`

public interface ModuleFilter extends LMFilter
A representation of the model object 'Module Filter'.

The following features are supported:

- `Module`

See Also:
  - `LMSecurityPackage.getModuleFilter()`
Generated
Model

## Method Summary

Modifier and Type
Method
Description
`String`
`getModule()`
Returns the value of the 'Module' attribute.
`void`
`setModule(String value)`
Sets the value of the '`Module`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.security.LMFilter

`isRegex, setRegex`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

`format, isApplicable, isImpacted`

## Method Details

### getModule

String getModule()
Returns the value of the 'Module' attribute.

Returns:
  the value of the 'Module' attribute.
See Also:
  - `setModule(String)`
  - `LMSecurityPackage.getModuleFilter_Module()`
Generated
Model

### setModule

void setModule(String value)
Sets the value of the '`Module`' attribute.

Parameters:
  `value` - the new value of the 'Module' attribute.
See Also:
  - `getModule()`
Generated